cURL
curl --request GET \
--url https://api.closebot.com/library/external/{provider}/resources \
--header 'X-CB-KEY: <api-key>'import requests
url = "https://api.closebot.com/library/external/{provider}/resources"
headers = {"X-CB-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-CB-KEY': '<api-key>'}};
fetch('https://api.closebot.com/library/external/{provider}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"connectionId": "<string>",
"libraryDocumentId": "<string>",
"sources": [
{
"id": "<string>",
"name": "<string>",
"category": "<string>"
}
],
"folderId": "<string>",
"folderName": "<string>",
"recursive": true,
"status": "<string>",
"lastSyncStartedAt": "2023-11-07T05:31:56Z",
"lastSyncCompletedAt": "2023-11-07T05:31:56Z",
"lastSuccessfulSyncAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"syncedFiles": 123,
"unsupportedFiles": 123,
"errorFiles": 123,
"files": [
{
"id": 123,
"externalItemId": "<string>",
"externalParentItemId": "<string>",
"name": "<string>",
"path": "<string>",
"mimeType": "<string>",
"size": 123,
"externalModifiedTime": "2023-11-07T05:31:56Z",
"status": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>"
}
]
}
]Library
Get libraryexternal resources
GET
/
library
/
external
/
{provider}
/
resources
cURL
Authorizations
CloseBot API Key Authorization
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes

